API referenceDeliverability
Deliverability by mailbox provider
GET
/deliverability/ispsGmail, Outlook, Yahoo, iCloud and other, from the recipient domain MX.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Query Parameters
from?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Format
dateto?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Format
datedays?integer
Range
1 <= value <= 366domain?string
Length
1 <= length <= 253isp?string
Value in
- "gmail"
- "outlook"
- "yahoo"
- "icloud"
- "other"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/deliverability/isps"{ "object": "list", "period": { "from": "2019-08-24", "to": "2019-08-24", "days": 1 }, "data": [ { "counts": { "sent": 0, "delivered": 0, "delivery_delayed": 0, "bounced_hard": 0, "bounced_soft": 0, "bounced_undetermined": 0, "complained": 0, "opened": 0, "opened_unique": 0, "clicked": 0, "clicked_unique": 0, "rejected": 0, "failed": 0 }, "rates": { "delivery_rate": 0, "bounce_rate": 0, "soft_bounce_rate": 0, "complaint_rate": 0, "open_rate": 0, "click_rate": 0 }, "health": { "status": "healthy", "bounce": "healthy", "complaint": "healthy", "low_volume": true, "basis": "ses", "thresholds": { "bounce_rate": { "warning": 0, "critical": 0 }, "complaint_rate": { "warning": 0, "critical": 0 } } }, "isp": "gmail" } ]}